## org.apache.lucene.search.similarities
Class BasicModelIF

    java.lang.Object
      org.apache.lucene.search.similarities.BasicModel
          org.apache.lucene.search.similarities.BasicModelIF

    public class BasicModelIF

extends BasicModel

An approximation of the I(ne) model.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`BasicModelIF()` Sole constructor: parameter-free

Method Summary
`float` `score(BasicStats stats, float tfn)` Returns the informative content score.
`String` `toString()` Subclasses must override this method to return the code of the basic model formula.

Methods inherited from class org.apache.lucene.search.similarities.BasicModel
`explain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicModelIF

    public BasicModelIF()

  Sole constructor: parameter-free

Method Detail

### score

    public final float score(BasicStats stats,
                             float tfn)

  Description copied from class: `BasicModel`
  Returns the informative content score.

  Specified by:
    `score` in class `BasicModel`

### toString

    public String toString()

  Description copied from class: `BasicModel`
  Subclasses must override this method to return the code of the basic model formula. Refer to the original paper for the list.

  Specified by:
    `toString` in class `BasicModel`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.